---
title: SVGCursorElement
slug: Web/API/SVGCursorElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{deprecated_header}}{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGCursorElement</code></strong> interface provides access to the properties of {{ SVGElement("cursor") }} elements, as well as methods to manipulate them.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGElement")}}, and implements properties from {{domxref("SVGURIReference")}}.</em></p>

<dl>
 <dt>{{domxref("SVGCursorElement.x")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("x")}} attribute of the given {{SVGElement("cursor")}} element.</dd>
 <dt>{{domxref("SVGCursorElement.y")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("y")}} attribute of the given {{SVGElement("cursor")}} element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent, {{domxref("SVGElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "interact.html#InterfaceSVGCursorElement", "SVGCursorElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGCursorElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("cursor")}}</li>
</ul>
